package pracownicy;

import java.util.Comparator;
import java.util.List;

public class P7_Sortowanie_v3 {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("pracownicy.csv");
		// W tej wersji użyjemy zapisów z Java 8:
		// Metoda Comparator.comparing wskazująca po czym sortujemy
		emps.sort(Comparator.comparing(Employee::getSalary).reversed());
		
		for (Employee emp : emps) {
			System.out.printf("%s %s (%s) zarabia %d\n",
					emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
		}
	}

}
